.::SWF::FontCharacter(3)

NAME
SWF::FontCharacter - SWF Font Helper Class

SYNOPSIS
        use SWF::FontCharacter;
        $font = new SWF::Font('Arial.fdb');
        $fontcharacter = $movie->addFont($font);
        $fontcharacter = $movie->importFont('textField.swf', 'Arial337a');

DESCRIPTION
SWF::FontCharacter is a font helper class. The objects are available thru SWF::Movie methods(), so no constructor is present here.

METHODS

$fontcharacter->addChars($string)
    Adds characters from string.

$fontcharacter->addUTF8Chars($string)
    Adds UTF8 characters from string and will throw an error message like "Character not found 12345" if any needed glyphs are not present inside font definition.

$fontcharacter->addAllChars()
    Adds all characters... [ToDo: add some demo code here]

AUTHOR
        developers of ming
        ming.sourceforge.net

SEE ALSO
SWF, SWF::Movie, SWF::Font, SWF::Text, SWF::TextField